Get all access grants
curl --request GET \
--url https://api.vantage.sh/v2/access_grants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/access_grants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/access_grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/access_grants",
"first": "https://api.vantage.sh/v2/access_grants?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/access_grants?page=1",
"prev": null
},
"access_grants": [
{
"token": "rsrc_accss_grnt_c40f15062b6d5c37",
"resource_token": "rprt_5a269d316483b01c",
"access": "denied",
"team_token": "team_fd5c524ba104712b",
"created_at": "2024-01-18T17:39:37Z",
"created_by": "usr_eb8ce6bdc1fa31d5"
},
{
"token": "rsrc_accss_grnt_9723e984e93d8907",
"resource_token": "dshbrd_a08561ec24875ac9",
"access": "allowed",
"team_token": "team_fd5c524ba104712b",
"created_at": "2024-01-18T17:39:37Z",
"created_by": "usr_eb8ce6bdc1fa31d5"
},
{
"token": "rsrc_accss_grnt_eee5c4fd777d4dc8",
"resource_token": "fldr_9d4ad1a769131c58",
"access": "allowed",
"team_token": "team_fd5c524ba104712b",
"created_at": "2024-01-18T17:39:38Z",
"created_by": "usr_eb8ce6bdc1fa31d5"
}
]
}AccessGrants
Get all access grants
Return all Access Grants that the current API token has access to.
GET
/
access_grants
Get all access grants
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I